import { Routes } from '@angular/router';
import { JhiResolvePagingParams } from 'ng-jhipster';

import { AuthorityName } from 'src/app/shared/constants/authority.constants';
import { UserRouteAccessService } from 'src/app/core/auth/user-route-access-service';
import { BcsNgListOptionComponent } from './bcs-ng-list-option.component';
import { routePath } from 'src/app/routes/path-routing.constant';

export const bcsNgListOptionRoute: Routes = [
  {
    path: routePath.BCS_NG_OPTION_LIST,
    component: BcsNgListOptionComponent,
    resolve: {
      pagingParams: JhiResolvePagingParams
    },
    data: {
      authorities: [AuthorityName.ADMIN_MOSS, AuthorityName.ADMIN_BCS],
      defaultSort: 'id,asc',
      pageTitle: 'Options BCS'
    },
    canActivate: [UserRouteAccessService]
  }
];
