import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { NgMultiSelectDropDownModule } from 'ng-multiselect-dropdown';
import { NgxMatDatetimePickerModule, NgxMatNativeDateModule, NgxMatTimepickerModule } from '@angular-material-components/datetime-picker';
import { MatIconModule } from '@angular/material/icon';
import { MatTableModule } from '@angular/material/table';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatSortModule } from '@angular/material/sort';
import { MatTableFilterModule } from 'mat-table-filter';
import { EsccoapvgSharedModule } from '../../shared/shared.module';
import { MaterialModule } from '../../shared/material.module';
import { BcsNgHistoryModule } from './history/bcs-ng-history.module';
import { TableBcsComponent } from './table/table-bcs-ng.component';
import { BcsNgGenericTaskModule } from './table/generic-task/generic-task.module';
import { BcsNgMilestoneModule } from './table/milestone/milestone.module';
import { BcsNgRoadMapModule } from './road-map/road-map.module';
import { BcsNgOperationModule } from './table/operation/operation.module';
import { bcsRoute } from './bcs-ng.route';
import { BcsNgDependencyModule } from './dependency/dependency.module';
import { BcsNgDisplayTaskModule } from './display-task/display-task.module';
import { BcsNgListOptionModule } from './bcs-ng-list-option/bcs-ng-list-option.module';
import { ImportBcsDialogComponent } from '../shared/import-bcs/import-dialog.component';
import { BcsDataDto } from '../shared/dto/data-bcs.dto';
import { BcsNgDisplayRuleModule } from './display-rule/display-rule.module';

@NgModule({
  imports: [
    EsccoapvgSharedModule,
    RouterModule.forChild(bcsRoute),
    NgxMatDatetimePickerModule,
    NgxMatTimepickerModule,
    NgxMatNativeDateModule,
    NgMultiSelectDropDownModule.forRoot(),
    MaterialModule,
    MatIconModule,
    MatTableModule,
    MatPaginatorModule,
    MatSortModule,
    MatTableFilterModule,
    BcsNgMilestoneModule,
    BcsNgRoadMapModule,
    BcsNgOperationModule,
    BcsNgGenericTaskModule,
    BcsNgHistoryModule,
    BcsNgDependencyModule,
    BcsNgDisplayTaskModule,
    BcsNgListOptionModule,
    BcsNgDisplayRuleModule
  ],
  declarations: [TableBcsComponent, ImportBcsDialogComponent],
  entryComponents: [ImportBcsDialogComponent],
  providers: [BcsDataDto],
  bootstrap: [],
})
export class BcsNgModule {
}
