import { Routes } from '@angular/router';
import { AuthorityName } from '../../shared/constants/authority.constants';
import { UserRouteAccessService } from '../../core/auth/user-route-access-service';
import { routePath } from 'src/app/routes/path-routing.constant';
import { TableBcsComponent } from './table/table-bcs-ng.component';

export const bcsRoute: Routes = [
  {
    path: routePath.BCS,
    component: TableBcsComponent,
    data: {
      authorities: [AuthorityName.USER_MOSS_SCCOA, AuthorityName.ADMIN, AuthorityName.USER_DGA_MQP],
      pageTitle: 'BCS-NG',
    },
    canActivate: [UserRouteAccessService],
  },
];


