import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager } from 'ng-jhipster';
import { IDisplayConfiguration } from '../../model/display-configuration.model';

import { DisplayConfigurationService } from './display-configuration.service';

@Component({
  templateUrl: './display-configuration-delete-dialog.component.html'
})
export class DisplayConfigurationDeleteDialogComponent {
  displayConfiguration?: IDisplayConfiguration;

  constructor(
    protected displayConfigurationService: DisplayConfigurationService,
    public activeModal: NgbActiveModal,
    protected eventManager: JhiEventManager
  ) { }

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.displayConfigurationService.delete(id).subscribe(() => {
      this.eventManager.broadcast('displayConfigurationListModification');
      this.activeModal.close();
    });
  }
}
