import { Routes } from '@angular/router';

import { DisplayRuleComponent } from './display-rule.component';
import { AuthorityName } from 'src/app/shared/constants/authority.constants';
import { UserRouteAccessService } from 'src/app/core/auth/user-route-access-service';
import { routePath } from 'src/app/routes/path-routing.constant';


export const displayRuleRoute: Routes = [
  {
    path: routePath.BCS + '/regles-affichage',
    component: DisplayRuleComponent,
    data: {
      authorities: [AuthorityName.USER_MOSS_SCCOA],
      pageTitle: "Règles d'affichage"
    },
    canActivate: [UserRouteAccessService]
  }
];
