import { Component, OnInit, Input } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { NgbActiveModal, NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager } from 'ng-jhipster';
import { Subscription } from 'rxjs';
import { AccountService } from 'src/app/core/auth/account.service';
import { IHistoric } from '../../model/historic.model';

@Component({
  template: './bcs-ng-historic-dialog.component.html'
})
export class BcsNgHistoricDialogComponent implements OnInit {
  @Input() history: IHistoric;
  @Input() historyNow: IHistoric;
  @Input() historyPrevious: IHistoric;
  @Input() fromDetail: boolean = true;
  eventSubscriber: Subscription;

  constructor(
    protected activatedRoute: ActivatedRoute,
    public activeModal: NgbActiveModal,
    protected modalService: NgbModal,
    protected eventManager: JhiEventManager,
    protected accountService: AccountService
  ) { }

  ngOnInit(): void {
  }

  cancel(): void {
    this.activeModal.dismiss();
  }

  ngOnDestroy(): void {
    if (this.eventSubscriber) {
      this.eventManager.destroy(this.eventSubscriber);
    }
  }
}