import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { IHistoric } from '../../model/historic.model';

@Component({
  selector: 'jhi-bcs-ng-history-list-dialog',
  templateUrl: './bcs-ng-history-list-dialog.component.html',
})
export class BcsNgHistoryListDialogComponent {
  id: string;
  history?: IHistoric;
  historyNow?: IHistoric;
  historyPrevious?: IHistoric;
  heightHistoric: number = 800;

  constructor(protected activeModal: NgbActiveModal) {}

  emitHistoryDetail(event: any) {
    this.history = event.history;
    this.historyNow = event.historyNow;
    this.historyPrevious = event.historyPrevious;
  }

  hideHistoryDiff(): void {
    this.history = null;
  }

  close(): void {
    this.activeModal.dismiss();
  }

  
}