export class SortData {
    static sortDataWithParentBefore(tasks: any[], previousLength?: number): any[] {
        if (tasks.length === 0 || tasks.length === previousLength) return []; // exclude elements whose parents don't exist
        const result = [];
        const toSort = [];
        tasks.forEach(task => {
            if (!task.parentId) {
                result.push(task);
            } else {
                // Soit le parent est déjà dans result, soit il a déjà été inséré dans une précédente itération
                if (result.find(taskInResult => task.parentId === taskInResult.id) || !tasks.find(task2 => task.parentId === task2.id)) {
                    result.push(task);
                } else {
                    toSort.push(task);
                }
            }
        });
        return result.concat(this.sortDataWithParentBefore(toSort, tasks.length));
    }

    static sortByParentIndex(tasks: any[]) {
        return tasks.sort(
            (taskA, taskB) => {
                if (!taskA.parentId && !taskB.parentId) return this.getParentIndex(taskA) - this.getParentIndex(taskB);
                else if (!taskA.parentId) return -1;
                else if (!taskB.parentId) return 1;
                else return taskA.parentId.localeCompare(taskB.parentId) ||
                    this.getParentIndex(taskA) - this.getParentIndex(taskB);
            })
    }

    static getParentIndex(task: any) {
        return task.additionalProperties ? JSON.parse(task.additionalProperties)?.parentIndex : null;
    }

    static sortData(tasks: any[]): any[] {
        const dataSort = this.sortByParentIndex(tasks);
        const result = this.sortDataWithParentBefore(dataSort, 0);
        return result;
    }
}