import { Injectable } from '@angular/core';
import * as moment from 'moment';
import { EPNG_URL, SERVER_BRYNTUM_URL } from 'src/app/app.constants';

@Injectable()
export class ViewConfig {
    schedulerConfig = {
        headerMenu: {
            items: {
                sortAsc: false,
                sortDesc: false,
                multiSort: false,
            }
        },
        cellMenu: {
            items: {
                removeRow: false,
                cut: false,
                copy: false,
            }
        },
        eventMenu: {
            items: {
                editEvent: false,
                copyEvent: false,
                cutEvent: false,
                unassignEvent: false,
                deleteEvent: false,
            }
        },
        scheduleMenu: {
            items: {
                copyEvent: false,
                cutEvent: false,
                deleteEvent: false,
                addEvent: false,
            }
        },
        timeAxisHeaderMenu: {
            items: {
                eventsFilter: false,
                dateRange: true,
                currentTimeLine: false,
            }
        },
        listeners: {
            beforeEventAdd: (_: any) => {
                return false;
            },
            beforeEventEdit: (_: any) => {
                return false;
            },
            beforeDependencyCreateDrag: (_: any) => {
                return false;
            }
        },
        pdfExport: {
            // Serveur qui va effectuer la conversion HTML -> PDF/PNG
            exportServer: SERVER_BRYNTUM_URL,
            translateURLsToAbsolute: location.origin.includes('sysgate') ? EPNG_URL : location.origin,
            clientURL: location.origin.includes('sysgate') ? EPNG_URL : location.origin,
            keepPathName: false,
            sendAsBinary: true,
            openInNewTab: true,
            fileName: moment().format('YYYYMMDD') + "_Export-BCS",
            scheduleRange: 'currentview',
            orientation: 'landscape',
            repeatHeader: true,
            keepRegionSizes: {
                locked: true
            },
            exportDialog: {
                items: {
                    paperFormatField: { hidden: true }
                }
            },
            headerTpl: () => {
                return ''
            },
            footerTpl: () => {
                return '';
            }
        },
    }
}