import { NgModule } from '@angular/core';
import { MatExpansionModule } from '@angular/material/expansion';
import { RouterModule } from '@angular/router';
import { BryntumSchedulerModule } from '@bryntum/scheduler-angular';
import { NgMultiSelectDropDownModule } from 'ng-multiselect-dropdown';
import { EsccoapvgSharedModule } from 'src/app/shared/shared.module';
import { BcsNgGenericTaskModule } from '../table/generic-task/generic-task.module';
import { BcsNgMilestoneModule } from '../table/milestone/milestone.module';
import { BcsNgOperationModule } from '../table/operation/operation.module';
import { RoadMapBcsComponent } from './road-map.component';

import { roadMapRoute } from './road-map.route';
import { AddTaskableEntityComponent } from './update/add-taskable-entity/add-taskable-entity.component';
import { RoadMapDeletedElementsDialogComponent } from './update/deleted-elements/road-map-deleted-elements-dialog.component';
import { DisplayTaskUpdateDialogcomponent } from './update/display-task-update/display-task-update-dialog.component';
import { RoadMapHiddenElementsDialogComponent } from './update/hidden-elements/road-map-hidden-elements-dialog.component';
import { RoadMapBcsUpdateComponent } from './update/road-map-bcs-update.component';
import { TaskDependencyUpdateComponent } from './update/dependency-update/task-dependency-update.component';
import { RoadMapBcsViewComponent } from './view/road-map-bcs-view.component';
import { BmcsSystemModule } from 'src/app/bmcs/entity/system/system.module';
import { RoadMapFieldsDialogComponent } from './update/road-map-fields/road-map-fields-dialog.component';
import { BmcsSharedModule } from 'src/app/bmcs/shared/BmcsShared.module';
import { RoadMapBcsDTO } from '../../shared/dto/roadMapBcs.dto';
import { DisplayConfigurationDialogcomponent } from './update/display-configuration/display-configuration-dialog.component';
import { NgxColorsModule } from 'ngx-colors';
import { DisplayConfigurationRulesDialogcomponent } from './update/display-configuration-rules/display-configuration-rules-dialog.component';
import { DisplayConfigurationRulesCardcomponent } from './update/display-configuration-rules/display-configuration-rules-card/display-configuration-rules-card.component';
import { UpdateIndependantTaskComponent } from './update/independant-task-update/update-independent-task.component';
import { RoadMapBcsDetailComponent } from './road-map-bcs-detail.component';
import { RoadMapBcsDomainHistoricComponent } from './view/domain-history/road-map-bcs-domain-historic.component';
import { ApplyDisplayConfigurationPreferencesDialogcomponent } from './update/user-display-configuration-preferences/apply/apply-display-configuration-preferences-dialog.component';
import { SaveDisplayConfigurationPreferencesDialogcomponent } from './update/user-display-configuration-preferences/save/save-display-configuration-preferences-dialog.component';
import { FormatTaskCellComponent } from './update/format-task-cell/format-task-cell.component';
import { DisplayConfigurationArrowDialogcomponent } from './update/display-configuration-arrow/display-configuration-arrow-dialog.component';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';

@NgModule({
  imports: [
    EsccoapvgSharedModule,
    RouterModule.forChild(roadMapRoute),
    NgMultiSelectDropDownModule.forRoot(),
    MatSlideToggleModule,
    NgxColorsModule,
    MatExpansionModule,
    BryntumSchedulerModule,
    BcsNgGenericTaskModule,
    BcsNgOperationModule,
    BcsNgMilestoneModule,
    BmcsSystemModule,
    BmcsSharedModule,
  ],
  declarations: [
    RoadMapBcsComponent,
    RoadMapBcsDetailComponent,
    RoadMapBcsUpdateComponent,
    RoadMapBcsViewComponent,
    AddTaskableEntityComponent,
    UpdateIndependantTaskComponent,
    RoadMapHiddenElementsDialogComponent,
    RoadMapDeletedElementsDialogComponent,
    DisplayTaskUpdateDialogcomponent,
    TaskDependencyUpdateComponent,
    RoadMapFieldsDialogComponent,
    DisplayConfigurationDialogcomponent,
    DisplayConfigurationArrowDialogcomponent,
    DisplayConfigurationRulesDialogcomponent,
    DisplayConfigurationRulesCardcomponent,
    RoadMapBcsDomainHistoricComponent,
    ApplyDisplayConfigurationPreferencesDialogcomponent,
    SaveDisplayConfigurationPreferencesDialogcomponent,
    FormatTaskCellComponent,
  ],
  exports: [DisplayConfigurationRulesCardcomponent],
  entryComponents: [],
  providers: [RoadMapBcsDTO]
})
export class BcsNgRoadMapModule { }
