import { Routes } from '@angular/router';
import { UserRouteAccessService } from 'src/app/core/auth/user-route-access-service';
import { routePath } from 'src/app/routes/path-routing.constant';
import { AuthorityName } from 'src/app/shared/constants/authority.constants';
import { RoadMapBcsDetailComponent } from './road-map-bcs-detail.component';
import { RoadMapBcsComponent } from './road-map.component';
import { RoadMapBcsUpdateComponent } from './update/road-map-bcs-update.component';


export const roadMapRoute: Routes = [
  {
    path: routePath.BCS_ROADMAP,
    component: RoadMapBcsComponent,
    data: {
      authorities: [AuthorityName.USER_MOSS_SCCOA, AuthorityName.ADMIN, AuthorityName.USER_DGA_MQP],
      pageTitle: 'Feuilles de route'
    },
    canActivate: [UserRouteAccessService]
  },
  {
    path: routePath.BCS_ROADMAP + '/creation',
    component: RoadMapBcsUpdateComponent,
    data: {
      authorities: [AuthorityName.USER_MOSS_SCCOA],
      pageTitle: 'Créer une feuille de route'
    },
    canActivate: [UserRouteAccessService]
  },
  {
    path: routePath.BCS_ROADMAP + '/:id',
    component: RoadMapBcsDetailComponent,
    data: {
      authorities: [AuthorityName.USER_MOSS_SCCOA, AuthorityName.ADMIN, AuthorityName.USER_DGA_MQP],
      pageTitle: 'Feuille de route'
    },
    canActivate: [UserRouteAccessService]
  }
];
