import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

@Component({
  selector: 'format-task-cell',
  templateUrl: './format-task-cell.component.html',
  styleUrls: ['../../bryntum/bryntum.scss'],
})
export class FormatTaskCellComponent {
  fontSize: number;
  rowHeight: number;
  color: string;
  defaultFontSize: number;
  defaultRowHeight: number;
  defaultColor: string;
  name: string = 'Lorem ipsum dolor sit amet';

  constructor(public activeModal: NgbActiveModal) {}

  save(): void {
    this.activeModal.close({
      fontSize: this.fontSize,
      rowHeight: this.rowHeight,
      color: this.color,
    });
  }

  cancel(): void {
    this.activeModal.dismiss();
  }

  increaseRowHeight(): void {
    this.rowHeight += 10;
  }

  reduceRowHeight(): void {
    if (this.rowHeight > 10) this.rowHeight -= 10;
  }

  setRowHeightToDefault(): void {
    this.rowHeight = this.defaultRowHeight;
  }

  increaseFontSize(): void {
    this.fontSize += 1;
  }

  reduceFontSize(): void {
    if (this.fontSize > 5) this.fontSize -= 1;
  }

  setFontSizeToDefault(): void {
    this.fontSize = this.defaultFontSize;
  }

  setColorToDefault(): void {
    this.color = this.defaultColor;
  }
}