import { NgModule } from '@angular/core';
import { MatSortModule } from '@angular/material/sort';
import { RouterModule } from '@angular/router';
import { MatTableFilterModule } from 'mat-table-filter';
import { BcsNgSharedModule } from 'src/app/bcs_ng/shared/bcs-shared.module';
import { GenericTaskDto } from 'src/app/bcs_ng/shared/dto/generic-task.dto';
import { EsccoapvgSharedModule } from 'src/app/shared/shared.module';
import { GenericTaskUpdateDialogComponent } from './dialog/generic-task-update-dialog.component';
import { GenericTaskDetailComponent } from './generic-task-detail.component';
import { GenericTaskUpdateComponent } from './generic-task-update.component';
import { GenericTaskComponent } from './generic-task.component';
import { genericTaskRoute } from './generic-task.route';

@NgModule({
    imports: [
        EsccoapvgSharedModule,
        BcsNgSharedModule,
        MatTableFilterModule,
        MatSortModule,
        RouterModule.forChild(genericTaskRoute)
    ],
    exports: [GenericTaskComponent],
    providers: [GenericTaskDto],
    declarations: [
        GenericTaskComponent,
        GenericTaskUpdateComponent,
        GenericTaskUpdateDialogComponent,
        GenericTaskDetailComponent
    ],
})
export class BcsNgGenericTaskModule { }