import { HttpResponse } from '@angular/common/http';
import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { IMilestone } from 'src/app/bcs_ng/model/milestone.model';
import { MilestoneService } from './milestone.service';


@Component({
  selector: 'jhi-milestone-detail',
  templateUrl: './milestone-detail.component.html'
})
export class MilestoneDetailComponent implements OnInit {
  id: string;
  milestone: IMilestone | null = null;

  constructor(protected activatedRoute: ActivatedRoute, protected milestoneService: MilestoneService) { }

  ngOnInit(): void {
    this.activatedRoute.paramMap.subscribe(params => {
      this.id = params.get("id");
      this.loadPage(true);
    });
  }

  loadPage(dontBlock: boolean): void {
    if (this.id !== undefined) {
      this.milestoneService.find(this.id).subscribe((res: HttpResponse<IMilestone>) => {
        this.milestone = res.body;
      });
    }
  }

  previousState(): void {
    window.history.back();
  }
}
