import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { MilestoneComponent } from './milestone.component';
import { MilestoneUpdateComponent } from './milestone-update.component';
import { milestoneRoute } from './milestone.route';
import { MilestoneDetailComponent } from './milestone-detail.component';
import { EsccoapvgSharedModule } from 'src/app/shared/shared.module';
import { MilestoneUpdateDialogComponent } from './dialog/milestone-update-dialog.component';
import { MatTableFilterModule } from 'mat-table-filter';
import { MatSortModule } from '@angular/material/sort';
import { NgMultiSelectDropDownModule } from 'ng-multiselect-dropdown';
import { BcsNgHistoryModule } from '../../history/bcs-ng-history.module';
import { MilestoneHistoryListDialogComponent } from './dialog/milestone-history-list-dialog.component';
import { MilestoneHistoricDialogComponent } from './dialog/milestone-historic-dialog.component';
import { MilestoneDiffCardComponent } from './dialog/milestone-diff-card.component';
import { MilestoneDTO } from 'src/app/bcs_ng/shared/dto/milestone.dto';
import { MilestoneSharedTableComponent } from './milestone-shared-table.component';
import { BcsNgDependencyModule } from '../../dependency/dependency.module';
import { MatStepperModule } from '@angular/material/stepper';
import { BcsNgDisplayTaskModule } from '../../display-task/display-task.module';
import { BcsNgSharedModule } from 'src/app/bcs_ng/shared/bcs-shared.module';
import { MatPaginatorModule } from '@angular/material/paginator';

@NgModule({
  imports: [
    EsccoapvgSharedModule,
    BcsNgSharedModule,
    MatTableFilterModule,
    MatSortModule,
    RouterModule.forChild(milestoneRoute),
    NgMultiSelectDropDownModule.forRoot(),
    BcsNgHistoryModule,
    BcsNgDependencyModule,
    BcsNgDisplayTaskModule,
    MatStepperModule,
    MatPaginatorModule
  ],
  exports: [MilestoneComponent, MilestoneSharedTableComponent],
  declarations: [
    MilestoneDetailComponent,
    MilestoneUpdateComponent,
    MilestoneUpdateDialogComponent,
    MilestoneHistoryListDialogComponent,
    MilestoneHistoricDialogComponent,
    MilestoneDiffCardComponent,
    MilestoneSharedTableComponent
  ],
  entryComponents: [
    MilestoneHistoryListDialogComponent,
    MilestoneUpdateComponent
  ],
  providers: [MilestoneDTO],
})
export class BcsNgMilestoneModule { }
