
import { Routes } from '@angular/router';


import { MilestoneComponent } from './milestone.component';
import { MilestoneUpdateComponent } from './milestone-update.component';
import { AuthorityName } from 'src/app/shared/constants/authority.constants';
import { UserRouteAccessService } from 'src/app/core/auth/user-route-access-service';
import { MilestoneDetailComponent } from './milestone-detail.component';
import { routePath } from 'src/app/routes/path-routing.constant';


export const milestoneRoute: Routes = [
  {
    path: routePath.MILESTONE,
    component: MilestoneComponent,
    data: {
      authorities: [AuthorityName.USER_MOSS_SCCOA, AuthorityName.ADMIN, AuthorityName.USER_DGA_MQP],
      pageTitle: 'Jalons BCS'
    },
    canActivate: [UserRouteAccessService]
  },
  {
    path: routePath.MILESTONE + '/:id/view',
    component: MilestoneDetailComponent,
    data: {
      authorities: [AuthorityName.USER_MOSS_SCCOA, AuthorityName.ADMIN, AuthorityName.USER_DGA_MQP],
      pageTitle: 'Jalon BCS'
    },
    canActivate: [UserRouteAccessService]
  },
  {
    path: routePath.MILESTONE + '/new',
    component: MilestoneUpdateComponent,
    data: {
      authorities: [AuthorityName.USER_MOSS_SCCOA],
      pageTitle: 'Jalon BCS'
    },
    canActivate: [UserRouteAccessService]
  },
  {
    path: routePath.MILESTONE + '/:id/edit',
    component: MilestoneUpdateComponent,
    data: {
      authorities: [AuthorityName.USER_MOSS_SCCOA],
      pageTitle: 'Jalon BCS'
    },
    canActivate: [UserRouteAccessService]
  }
];
