import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { EsccoapvgSharedModule } from 'src/app/shared/shared.module';
import { OperationComponent } from './operation.component';
import { OperationDetailComponent } from './operation-detail.component';
import { OperationUpdateComponent } from './operation-update.component';
import { operationRoute } from './operation.route';
import { OperationUpdateDialogComponent } from './dialog/operation-update-dialog.component';
import { MatTableFilterModule } from 'mat-table-filter';
import { MatSortModule } from '@angular/material/sort';
import { NgMultiSelectDropDownModule } from 'ng-multiselect-dropdown';
import { AngularEditorModule } from '@kolkov/angular-editor';
import { OperationBaseUpdateComponent } from './operation-base-update.component';
import { OperationDetailUpdateComponent } from './operation-detail-update.component';
import { BcsNgHistoryModule } from '../../history/bcs-ng-history.module';
import { OperationHistoricDialogComponent } from './dialog/operation-historic-dialog.component';
import { OperationDiffCardComponent } from './dialog/operation-diff-card.component';
import { OperationHistoryListDialogComponent } from './dialog/operation-history-list-dialog.component';
import { OperationDto } from 'src/app/bcs_ng/shared/dto/operation.dto';
import { BcsNgMilestoneModule } from '../milestone/milestone.module';
import { MatStepperModule } from '@angular/material/stepper';
import { BcsNgSharedModule } from 'src/app/bcs_ng/shared/bcs-shared.module';
import { MatPaginatorModule } from '@angular/material/paginator';
import { BmcsSharedModule } from 'src/app/bmcs/shared/BmcsShared.module';

@NgModule({
  imports: [
    EsccoapvgSharedModule,
    BcsNgSharedModule,
    RouterModule.forChild(operationRoute),
    MatTableFilterModule,
    MatSortModule,
    MatStepperModule,
    NgMultiSelectDropDownModule.forRoot(),
    AngularEditorModule,
    BcsNgHistoryModule,
    MatPaginatorModule,
    BmcsSharedModule,
    BcsNgMilestoneModule],
  exports: [OperationComponent],
  declarations: [
    OperationDetailComponent,
    OperationDetailUpdateComponent,
    OperationBaseUpdateComponent,
    OperationUpdateComponent,
    OperationUpdateDialogComponent,
    OperationHistoricDialogComponent,
    OperationDiffCardComponent,
    OperationHistoryListDialogComponent
  ],
  entryComponents: [
    OperationUpdateDialogComponent,
    OperationHistoricDialogComponent,
    OperationHistoryListDialogComponent,
    OperationUpdateComponent
  ],
  providers: [OperationDto]
})
export class BcsNgOperationModule { }
