import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager } from 'ng-jhipster';
import { ITaskableEntity } from '../../model/taskable-entity.model';
import { TaskableEntityService } from './taskable-entity.service';

@Component({
  templateUrl: './taskable-entity-delete-dialog.component.html'
})
export class TaskableEntityDeleteDialogComponent {
  taskableEntity?: ITaskableEntity;

  constructor(
    protected taskableEntityService: TaskableEntityService,
    public activeModal: NgbActiveModal,
    protected eventManager: JhiEventManager
  ) { }

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: string): void {
    this.taskableEntityService.delete(id).subscribe(() => {
      this.eventManager.broadcast('taskableEntityListModification');
      this.activeModal.close();
    });
  }
}
