// import { EventModel } from '@bryntum/scheduler/scheduler.lite.umd.js';

import { MultiColorsEventConfig } from './display-configuration/multi-colors-event-config';
import { DisplayConfiguration } from '../display-configuration.model';
import { TaskableEntity } from '../taskable-entity.model';
import { DisplayConfTaskArrowProperties } from './display-configuration/display-conf-task-arrow-properties';

export interface IBryntumEvent {
    id: string;
    name: string;
    locationId: string[];
    startDate: Date;
    endDate: Date;
    readOnly: boolean;
    object: any;
    type: TaskableEntity,
    parentId: string;
    hidePredecessors: boolean;
    cls: string;
    delayEvent: boolean;
    displayConfig?: DisplayConfiguration,
    iconCls?: string,
    eventColor?: string;
    label?: string;
    delayArrowConf?: DisplayConfTaskArrowProperties;
    delayRpsArrowConf?: DisplayConfTaskArrowProperties;
    cloneId?: string;
    offsetMultiColorEventConfig?: MultiColorsEventConfig[];
    fontSize?: number;
    rowHeight?: number;
    independantMilestone?: boolean;
}

export class BryntumEvent /*extends EventModel*/ implements IBryntumEvent {
    constructor(
        public id: string,
        public name: string,
        public locationId: string[],
        public startDate: Date,
        public endDate: Date,
        public readOnly: boolean,
        public object: any,
        public type: TaskableEntity,
        public parentId: string,
        public hidePredecessors: boolean,
        public cls: string,
        public delayEvent: boolean,
        public displayConfig?: DisplayConfiguration,
        public iconCls?: string,
        public eventColor?: string,
        public label?: string,
        public delayArrowConf?: DisplayConfTaskArrowProperties,
        public delayRpsArrowConf?: DisplayConfTaskArrowProperties,
        public cloneId?: string,
        public offsetMultiColorEventConfig?: MultiColorsEventConfig[],
        public fontSize?: number,
        public rowheight?: number,
        public independantMilestone?: boolean,
    ) {
        // super();
    }
}