import { DisplayConfBaseProperties } from './display-conf-base-properties.models';

export class DisplayConfRoadMapProperties extends DisplayConfBaseProperties {
    zoomLevel: number;
    startDate: Date;
    endDate: Date;
    timeRangeStartDate: Date;
    timeRangeMode: TimeRangeMode;
    filterDelayArrow: FilterArrowMode;
    filterRpsDelayArrow: FilterArrowMode;


    constructor(
        zoomLevel: number,
        startDate: Date,
        endDate: Date,
        rowHeight: number,
        resourceFontSize: number,
        eventFontSize: number,
        resourceFontColor: string,
        timeRangeStartDate: Date,
        timeRangeMode: TimeRangeMode,
        filterDelayArrow: FilterArrowMode,
        filterRpsDelayArrow: FilterArrowMode
    ) {
        super(rowHeight, resourceFontSize, eventFontSize, resourceFontColor);
        this.zoomLevel = zoomLevel;
        this.startDate = startDate;
        this.endDate = endDate;
        this.rowHeight = rowHeight;
        this.timeRangeStartDate = timeRangeStartDate;
        this.timeRangeMode = timeRangeMode;
        this.filterDelayArrow = filterDelayArrow;
        this.filterRpsDelayArrow = filterRpsDelayArrow;
    }
}

export enum TimeRangeMode {
    CUSTOM = 'CUSTOM',
    TODAY = 'TODAY',
    NONE = 'NONE',
}

export enum FilterArrowMode {
    DISPLAY_ALL = 'DISPLAY_ALL',
    HIDE_ALL = 'HIDE_ALL',
    CUSTOM = 'CUSTOM',
}