import { Base } from './base/base.model';
import { IDisplayTask } from './display-task.model';
import { Baseline } from './enumeration/baseline.enum';
import { CrudType } from './enumeration/crud-type';
import { IRoadMapBcs } from './road-map-bcs.model';
import { TaskableEntity } from './taskable-entity.model';

export interface IHistoric extends Base {
  author: string;
  date: any;
  modifType: CrudType;
  object: string;
  objectId: string;
  baseline: Baseline,
  objectType: TaskableEntity;
  roadMap?: IRoadMapBcs;
  displayTask?: IDisplayTask;
}

export class Historic extends Base {
  constructor(
    public author: string,
    public date: any,
    public modifType: CrudType,
    public object: string,
    public objectid: string,
    public baseline: Baseline,
    public objectType: TaskableEntity,
    public roadMap?: IRoadMapBcs,
    public displayTask?: IDisplayTask,
  ) {
    super()
  }
}
