import { Moment } from 'moment';
import { IBcsNgListOption } from './bcs-ng-list-option.model';
import { IDependency } from './dependency.model';
import { IOperation } from './operation.model';
import { GenericTask } from './task/generic-task.model';

export interface IMilestone extends GenericTask {
  contractDate?: Moment;
  typeMilestone?: IBcsNgListOption;
  source?: IBcsNgListOption;
  number?: number;
  predecessorDependencies?: IDependency[];
  successorDependencies?: IDependency[];
  operation?: IOperation;
  comment?: string;
  previousRPS?: Moment;
}

export class Milestone extends GenericTask implements IMilestone {
  contractDate?: Moment;
  typeMilestone?: IBcsNgListOption;
  source?: IBcsNgListOption;
  number?: number;
  predecessorDependencies?: IDependency[];
  successorDependencies?: IDependency[];
  operation?: IOperation;
  comment?: string;
  previousRPS?: Moment;

  super() { }
}
