import { Moment } from 'moment';
import { IDeployedCenter } from 'src/app/bmcs/model/deployed-center.model';
import { IVersionedSystem } from 'src/app/bmcs/model/versioned-system.model';
import { DomaineType } from 'src/app/shared/model/entity/domaine.model';
import { IBcsNgListOption } from '../bcs-ng-list-option.model';
import { IDependency } from '../dependency.model';
import { Historic } from '../historic.model';
import { IMilestone } from '../milestone.model';
import { IOperation } from '../operation.model';
import { IGenericTask } from './generic-task.model';

export interface ITask extends IGenericTask {
    name?: string;
    startDate?: Moment;
    endDate?: Moment;
    shortName?: string;
    comment?: string;
    history?: Historic[];

    contractDate?: Moment;
    typeMilestone?: IBcsNgListOption;
    source?: IBcsNgListOption;
    predecessorDependencies?: IDependency[];
    successorDependencies?: IDependency[];
    parent?: IMilestone
    operation?: IOperation;

    description?: string;
    typeOperation?: IBcsNgListOption;
    number?: number;
    isBMS?: boolean;
    contractDGA?: string;
    program?: string;

    versionedSystemId?: string;

    domaine?: any;
    type?: DomaineType;

    milestones?: IMilestone[];
    deployedCenters?: IDeployedCenter[];
    versionedSystems?: IVersionedSystem[];
}
