import { NgModule } from '@angular/core';
import { MAT_FORM_FIELD_DEFAULT_OPTIONS } from '@angular/material/form-field';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { RouterModule } from '@angular/router';
import { MatTableFilterModule } from 'mat-table-filter';
import { EsccoapvgSharedModule } from 'src/app/shared/shared.module';
import { MilestoneComponent } from '../entity/table/milestone/milestone.component';
import { OperationComponent } from '../entity/table/operation/operation.component';
import { operationRoute } from '../entity/table/operation/operation.route';
import { DialogDeleteBcsComponent } from './dialog/delete/dialog-delete-bcs.component';
import { DialogEraseBcsComponent } from './dialog/erase/dialog-erase-bcs.component';
import { DialogRebornBcsComponent } from './dialog/reborn/dialog-reborn-bcs.component';

@NgModule({
    imports: [EsccoapvgSharedModule,
        RouterModule.forChild(operationRoute),
        MatTableFilterModule,
        MatPaginatorModule,
        MatSlideToggleModule
    ],
    declarations: [
        OperationComponent,
        MilestoneComponent,
        DialogDeleteBcsComponent,
        DialogRebornBcsComponent,
        DialogEraseBcsComponent,
    ],
    exports: [
        OperationComponent,
        MilestoneComponent
    ],
    providers: [
        {
            provide: MAT_FORM_FIELD_DEFAULT_OPTIONS,
            useValue: { floatLabel: 'always' },
        },
    ],
})
export class BcsNgSharedModule { }