import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager, JhiEventWithContent } from 'ng-jhipster';
import { DisplayTaskService } from 'src/app/bcs_ng/entity/display-task/display-task.service';

@Component({
  selector: 'dialog-delete-bcs',
  templateUrl: './dialog-delete-bcs.component.html'
})

export class DialogDeleteBcsComponent {
  entityMsg: string;
  eventManagerName: string | JhiEventWithContent<any>;
  id: string;
  serviceEntity: any;
  onLoad: boolean = false;

  warningText: string;

  constructor(
    public activeModal: NgbActiveModal,
    protected displayTaskService: DisplayTaskService,
    protected eventManager: JhiEventManager
  ) { }

  ngOnInit() {
    this.warningText = 'Attention : la suppression de ' + this.entityMsg + ' entraînera sa suppression dans toutes les feuilles de routes.';
  }

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(): void {
    this.serviceEntity.delete(this.id).subscribe(() => {
      this.displayTaskService.query(undefined, this.id).subscribe(res => {
        const dts = res.body;
        this.displayTaskService.deleteManyRecursively(dts.map(dt => dt.id)).subscribe(() => {
          this.eventManager.broadcast(this.eventManagerName);
          this.activeModal.close();
        });
      });
    });
    return;
  }
}