import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager, JhiEventWithContent } from 'ng-jhipster';
import { DisplayTaskService } from 'src/app/bcs_ng/entity/display-task/display-task.service';

@Component({
  selector: 'dialog-erase-bcs',
  templateUrl: './dialog-erase-bcs.component.html'
})

export class DialogEraseBcsComponent {
  eventManagerName: string | JhiEventWithContent<any>;
  id: string;
  serviceEntity: any;
  entityMsg: string;

  warningText: string = "Attention : la suppression de l'objet entraînera la suppression définitive de toutes les tâches correspondantes " + 
    "dans les feuilles de route, ainsi que de leurs enfants le cas échéant.";

  constructor(
    public activeModal: NgbActiveModal,
    protected displayTaskService: DisplayTaskService,
    protected eventManager: JhiEventManager,
  ) { }

  confirmDelete(): void {
    this.serviceEntity.erase(this.id).subscribe(() => {
      this.displayTaskService.query(undefined, this.id).subscribe(res => {
        const dts = res.body;
        this.displayTaskService.eraseManyRecursively(dts.map(dt => dt.id)).subscribe(() => {
          this.eventManager.broadcast(this.eventManagerName);
          this.activeModal.close();
        });
      });
    });
    return;
  }
  cancel(): void {
    this.activeModal.dismiss();
  }
}