import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager, JhiEventWithContent } from 'ng-jhipster';
import { DisplayTaskService } from 'src/app/bcs_ng/entity/display-task/display-task.service';

@Component({
  selector: 'dialog-reborn-bcs',
  templateUrl: './dialog-reborn-bcs.component.html'
})
export class DialogRebornBcsComponent {
  entityMsg: string;
  eventManagerName: string | JhiEventWithContent<any>;
  id: string;
  serviceEntity: any;

  constructor(
    public activeModal: NgbActiveModal,
    protected displayTaskService: DisplayTaskService,
    protected eventManager: JhiEventManager
  ) { }

  confirmReborn(): void {
    this.serviceEntity.delete(this.id).subscribe(() => {
      this.displayTaskService.query(undefined, this.id).subscribe(res => {
        const dts = res.body;
        this.displayTaskService.reincarnateRecursively(dts.map(dt => dt.id)).subscribe(() => {
          this.eventManager.broadcast(this.eventManagerName);
          this.activeModal.close();
        });
      });
    });
    return;
  }
  cancel(): void {
    this.activeModal.dismiss();
  }
}