import { Moment } from 'moment';
import { IBcsNgListOption } from 'src/app/bcs_ng/model/bcs-ng-list-option.model';
import { IMilestone } from 'src/app/bcs_ng/model/milestone.model';
import { IDeployedCenter } from 'src/app/bmcs/model/deployed-center.model';
import { ISite } from 'src/app/bmcs/model/site.model';
import { ISystem } from 'src/app/bmcs/model/system.model';
import { IVersionedSystem } from 'src/app/bmcs/model/versioned-system.model';
import { ICruddomaine } from 'src/app/shared/model/entity/cruddomaine.model';
import { IDomaine } from 'src/app/shared/model/entity/domaine.model';
import { IDependency } from '../../../model/dependency.model';

export interface IMilestoneCrud {
    id?: string;
    deleted?: boolean;
    milestone?: IMilestone;
    globalFilter?: string;
    name?: string;
    number?: number;
    shortName?: string;
    comment?: string;
    date?: Moment;
    contractDate?: Moment;
    typeMilestone?: IBcsNgListOption;
    source?: IBcsNgListOption;
    predecessorDependencies?: IDependency[];
    successorDependencies?: IDependency[];
    operation?: any; // Either an operation or a string
    versionedSystem?: IVersionedSystem;
    system?: ISystem;
    deployedCenter?: IDeployedCenter;
    site?: ISite;
    domaine?: IDomaine;
    crudDomaine?: ICruddomaine;
}

export class MilestoneCrud implements IMilestoneCrud {
    constructor(
        public id?: string,
        public deleted?: boolean,
        public milestone?: IMilestone,
        public globalFilter?: string,
        public name?: string,
        public number?: number,
        public shortName?: string,
        public comment?: string,
        public date?: Moment,
        public contractDate?: Moment,
        public typeMilestone?: IBcsNgListOption,
        public source?: IBcsNgListOption,
        public predecessorDependencies?: IDependency[],
        public successorDependencies?: IDependency[],
        public operation?: any, // Either an operation or a string
        public versionedSystem?: IVersionedSystem,
        public system?: ISystem,
        public deployedCenter?: IDeployedCenter,
        public site?: ISite,
        public domaine?: IDomaine,
        public crudDomaine?: ICruddomaine

    ) { }
}