import { Moment } from 'moment';
import { IBcsNgListOption } from 'src/app/bcs_ng/model/bcs-ng-list-option.model';
import { IMilestone } from 'src/app/bcs_ng/model/milestone.model';
import { IOperation } from 'src/app/bcs_ng/model/operation.model';
import { IDeployedCenter } from 'src/app/bmcs/model/deployed-center.model';
import { ISite } from 'src/app/bmcs/model/site.model';
import { ISystem } from 'src/app/bmcs/model/system.model';
import { IVersionedSystem } from 'src/app/bmcs/model/versioned-system.model';
import { ICruddomaine } from 'src/app/shared/model/entity/cruddomaine.model';
import { IDomaine } from 'src/app/shared/model/entity/domaine.model';

export interface IOperationCrud {
    id?: string;
    manual_id?: string;
    operation?: IOperation;
    deleted?: boolean;
    globalFilter?: string;
    name?: string;
    shortName?: string;
    startDate?: Moment;
    endDate?: Moment;
    number?: number;
    isBMS?: boolean;
    contractDGA?: string;
    program?: string;
    typeOperation?: IBcsNgListOption;
    milestones?: IMilestone[];
    versionedSystem?: IVersionedSystem;
    system?: ISystem;
    deployedCenter?: IDeployedCenter;
    site?: ISite;
    bmsComplement?: string;
    domaine?: IDomaine;
    crudDomaine?: ICruddomaine;
}

export class OperationCrud implements IOperationCrud {
    constructor(
        public id?: string,
        public manual_id?: string,
        public operation?: IOperation,
        public deleted?: boolean,
        public globalFilter?: string,
        public name?: string,
        public shortName?: string,
        public startDate?: Moment,
        public endDate?: Moment,
        public number?: number,
        public isBMS?: boolean,
        public contractDGA?: string,
        public program?: string,
        public typeOperation?: IBcsNgListOption,
        public milestones?: IMilestone[],
        public versionedSystem?: IVersionedSystem,
        public system?: ISystem,
        public deployedCenter?: IDeployedCenter,
        public site?: ISite,
        public bmsComplement?: string,
        public domaine?: IDomaine,
        public crudDomaine?: ICruddomaine
    ) { }
}