import { Injectable } from "@angular/core";
import { Cruddomaine, ICruddomaine } from 'src/app/shared/model/entity/cruddomaine.model';
import { IDomaine } from 'src/app/shared/model/entity/domaine.model';
import { IRoadMapBcs } from '../../model/road-map-bcs.model';
import { IOperationCrud } from './model/operation-crud.dto';
import { RoadMapCrud } from './model/roadMap-crud.dto';

@Injectable()
export class RoadMapBcsDTO {

    convertToCrud(roadMaps: IRoadMapBcs[], domaines: IDomaine[], cruddomaines: [Cruddomaine[]]): IOperationCrud[] {
        const crud = this.getCrudDomaine(cruddomaines);
        return roadMaps?.map(roadMap => {
            const crudDomaines: ICruddomaine[] = [];
            let RMdomaines = [];
            JSON.parse(roadMap.domainesId)?.forEach(dId => RMdomaines.push(domaines?.find(d => d.id === dId)));
            RMdomaines?.forEach(domaine =>
                crudDomaines.push(crud[crud.findIndex(cr => cr.domaine?.id === domaine?.id)])
            );
            return new RoadMapCrud(
                roadMap.id,
                roadMap.name,
                RMdomaines,
                crudDomaines,
                roadMap.deleted,
                roadMap.createdBy,
                roadMap.createdDate,
                roadMap.lastModifiedBy,
                roadMap.lastModifiedDate
            );
        })
    }

    getCrudDomaine(cruddomaines: [Cruddomaine[]]): ICruddomaine[] {
        const crud: ICruddomaine[] = [];
        cruddomaines?.forEach(cruddomaineList => {
            cruddomaineList.forEach(cruddomaine => {
                const index = crud.findIndex(cr => cr.domaine?.id === cruddomaine.domaine?.id);
                if (index === -1)
                    crud.push(cruddomaine);
                else {
                    crud[index].create = cruddomaine.create;
                    crud[index].update = cruddomaine.update;
                    crud[index].deleted = cruddomaine.deleted;
                    crud[index].erase = cruddomaine.erase;
                    crud[index].is_referent = cruddomaine.is_referent;
                }
            });
        });
        return crud;
    }
}