import { AbstractControl, ValidatorFn } from '@angular/forms';

export class DuplicateFieldsValidator {
    static duplicateStringField(
        field: string,
        list: string[],
        validatorField: { [key: string]: boolean }
    ): ValidatorFn {
        return (c: AbstractControl): { [key: string]: boolean } | null => {
            const value = c.get(field).value;
            if (list.includes(value)) return validatorField;
            return null;
        }
    }

    static duplicateNumberField(
        field: string,
        list: number[],
        validatorField: { [key: string]: boolean }
    ): ValidatorFn {
        return (c: AbstractControl): { [key: string]: boolean } | null => {
            const value = c.get(field).value;
            if (list.includes(value)) return validatorField;
            return null;
        }
    }
}