import { AbstractControl, ValidatorFn } from '@angular/forms';
import { IDependency } from '../../model/dependency.model';

export class MilestoneDependenciesValidators {
    static validTimeGaps(dependenciesFunc: () => IDependency[]): ValidatorFn {
        const dependencies = dependenciesFunc();
        return (c: AbstractControl): { [key: string]: boolean } | null => {
            const result = {};
            dependencies.forEach(dep => {
                if (!Number.isInteger(dep.timeGapDuration)) {
                    result[`invalidNumber_${dep.predecessor.id}`] = true;
                }
            });
            return Object.keys(result).length ? result : null;
        }
    }
}