
export const localeFr = {

    localeName: 'Fr',
    localeDesc: 'Français',

    //region Custom localization

    App: {
        'Localization demo': 'Démonstration de localisation'
    },

    //endregion

    //region Shared localization

    Button: {
        'Add column': 'Ajouter une colonne',
        Apply: 'Appliquer',
        'Display hints': "Conseils d'affichage",
        'Remove column': 'Supprimer la colonne'
    },

    Checkbox: {
        'Auto apply': 'Appliquer automatiquement',
        Automatically: 'Automatiquement',
        toggleRowSelect: 'Changer la sélection de ligne',
        toggleSelection: 'Changer la sélection de toutes les données'
    },

    CodeEditor: {
        'Code editor': 'Editeur de code',
        'Download code': 'Télécharger le code'
    },

    Combo: {
        noResults: 'Auncun résultat',
        Theme: 'Thème',
        Language: 'Langage',
        Size: 'Taille',
        recordNotCommitted: 'Enregistrement non effectué',
        addNewValue: value => `Ajouter ${value} `
    },

    Tooltip: {
        infoButton: 'Informations',
        codeButton: 'Code',
        hintCheck: 'Aide',
        fullscreenButton: 'Plein écran'
    },

    Shared: {
        'Locale changed': 'Langue changée',
        'Full size': 'Taille réelle',
        'Phone size': 'Taille smartphone'
    },

    UndoRedo: {
        Undo: 'Annuler',
        Redo: 'Rétablir',
        UndoLastAction: 'Annuler la dernière action',
        RedoLastAction: 'Rétablir la dernière action',
        NoActions: 'Aucune action enregistrée'
    },

    //endregion

    // Translations for common words and phrases which are used by all classes.
    Object: {
        Ok: 'OK',
        Yes: 'Oui',
        No: 'Non',
        Cancel: 'Annuler',
        newEvent: 'Nouvel évènement'
    },

    //region Features

    ColumnPicker: {
        column: 'Colonne',
        columnsMenu: 'Menu de la colonne',
        hideColumn: 'Cacher la colonne',
        hideColumnShort: 'Cacher',
        newColumns: 'Nouvelle colonne'
    },

    Filter: {
        applyFilter: 'Appliquer un filtre',
        filter: 'Filtrer',
        editFilter: 'Modifier le filtre',
        on: 'Au dessus',
        before: 'Avant',
        after: 'Après',
        equals: 'Egale',
        lessThan: 'Moins que',
        moreThan: 'Plus que',
        removeFilter: 'Supprimer les filtres'
    },

    FilterBar: {
        enableFilterBar: 'Afficher la barre de filtre',
        disableFilterBar: 'Masquer la barre de filtre'
    },

    Group: {
        group: 'Grouper',
        groupAscending: 'Regrouper par ordre croissant',
        groupDescending: 'Regrouper par ordre décroissant',
        groupAscendingShort: 'Croissant',
        groupDescendingShort: 'Décroissant',
        stopGrouping: 'Arrêter le regroupement',
        stopGroupingShort: 'Arrêter'
    },

    HeaderMenu: {
        moveBefore: text => `Déplacer avant "${text}"`,
        moveAfter: text => `Déplacer après "${text}"`
    },

    MergeCells: {
        mergeCells: 'Fusionner des cellules',
        menuTooltip: "Fusionner les cellules avec le même contenu lorsqu'elles sont triées par cette colonne"
    },

    RowCopyPaste: {
        copyRecord: 'Copier',
        cutRecord: 'Couper',
        pasteRecord: 'Coller'
    },

    Search: {
        searchForValue: 'Rechercher une valeur'
    },

    Sort: {
        sort: 'Trier',
        sortAscending: 'Trier par ordre croissant',
        sortDescending: 'Trier par ordre décroissant',
        multiSort: 'Tri multiple',
        removeSorter: 'Supprimer le tri',
        addSortAscending: 'Ajouter le tri croissant',
        addSortDescending: 'Ajouter le tri décroissant',
        toggleSortAscending: "Changer pour l'ordre croissant",
        toggleSortDescending: "Changer pour l'ordre décroissant",
        sortAscendingShort: 'Croissant',
        sortDescendingShort: 'Décroissant',
        removeSorterShort: 'Supprimer',
        addSortAscendingShort: '+ Croissant',
        addSortDescendingShort: '+ Décroissant'
    },

    //endregion

    //region Trial

    TrialButton: {
        downloadTrial: 'Télécharger la démo'
    },

    TrialPanel: {
        title: 'Veuillez remplir les champs',
        name: 'Nom',
        email: 'E-mail',
        company: 'Société',
        product: 'Produit',
        cancel: 'Annuler',
        submit: 'Valider',
        downloadStarting: 'Téléchargement en cours...'
    },

    //endregion

    //region Grid

    RatingColumn: {
        cellLabel: column => `${column.text} ${column.location?.record ? `Evaluation : ${column.location.record[column.field]}` : ''}`
    },

    GridBase: {
        loadFailedMessage: 'Chargement échoué, veuillez réessayer',
        syncFailedMessage: 'La synchronisation des données a échoué',
        unspecifiedFailure: 'Erreur non spécifiée',
        networkFailure: 'Erreur réseau',
        parseFailure: "La réponse du serveur n'a pas pu être analysée",
        loadMask: 'Chargement...',
        syncMask: 'Enregistrement, veuillez patienter...',
        noRows: 'Aucune ligne à afficher',
        moveColumnLeft: 'Déplacer vers la gauche',
        moveColumnRight: 'Déplacer vers la droite',
        moveColumnTo: function (region) {
            return 'Déplacer la colonne vers ' + region;
        }
    },

    CellMenu: {
        removeRow: 'Supprimer la ligne'
    },

    RowExpander: {
        loading: 'Chargement'
    },

    //endregion

    //region Widgets

    FilePicker: {
        file: 'Dossier'
    },

    Field: {
        badInput: 'Valeur de champ invalide',
        patternMismatch: 'La valeur doit correspondre à un modèle spécifique',
        rangeOverflow: function (value) {
            return 'La valeur doit être supérieure ou égale à ' + value.max;
        },
        rangeUnderflow: function (value) {
            return 'La valeur doit être supérieure ou égale à ' + value.min;
        },
        stepMismatch: "La valeur doit correspondre à l'étape",
        tooLong: 'La valeur doit être plus courte',
        tooShort: 'La valeur doit être plus longue',
        typeMismatch: 'La valeur doit être dans un format spécial',
        valueMissing: 'Ce champ est obligatoire',
        fieldRequired: 'Ce champ est obligatoire',
        invalidValue: 'Valeur de champ invalide',
        maximumValueViolation: 'Non respect de la valeur maximale',
        minimumValueViolation: 'Non respect de la valeur miniamale',
        validateFilter: 'La valeur doit être sélectionnée dans la liste'
    },

    DateField: {
        invalidDate: 'Saisie de la date invalide'
    },

    DatePicker: {
        gotoPrevYear: "Aller à l'année précédente",
        gotoPrevMonth: 'Aller au mois précédent',
        gotoNextMonth: 'Aller au mois suivant',
        gotoNextYear: "Aller à l'année suivante"
    },

    NumberFormat: {
        locale: 'fr',
        currency: 'EUR'
    },

    DurationField: {
        invalidUnit: 'Unité invalide'
    },

    TimeField: {
        invalidTime: 'Indication de temps invalide'
    },

    TimePicker: {
        hour: 'Heure',
        minute: 'Minute'
    },

    //endregion

    //region Others

    DateHelper: {
        locale: 'fr',
        weekStartDay: 1,
        // Non-working days which match weekends by default, but can be changed according to schedule needs
        nonWorkingDays: {
            0: true,
            6: true
        },
        // Days considered as weekends by the selected country, but could be working days in the schedule
        weekends: {
            0: true,
            6: true
        },
        unitNames: [
            { single: 'Milliseconde', plural: 'Millisecondes', abbrev: 'ms' },
            { single: 'Seconde', plural: 'Secondes', abbrev: 's' },
            { single: 'Minute', plural: 'Minutes', abbrev: 'min' },
            { single: 'Heure', plural: 'Heures', abbrev: 'h' },
            { single: 'Jour', plural: 'Jours', abbrev: 'j' },
            { single: 'Semaine', plural: 'Semaines', abbrev: 'S' },
            { single: 'Mois', plural: 'Mois', abbrev: 'M' },
            { single: 'Trimestre', plural: 'Trimestres', abbrev: 'T' },
            { single: 'Année', plural: 'Années', abbrev: 'A' },
            { single: 'Décennie', plural: 'Décennies', abbrev: 'Dec' }
        ],
        // Used to build a RegExp for parsing time units.
        // The full names from above are added into the generated Regexp.
        // So you may type "2 w" or "2 wk" or "2 week" or "2 weeks" into a DurationField.
        // When generating its display value though, it uses the full localized names above.
        unitAbbreviations: [
            ['ms'],
            ['s', 'sec'],
            ['m', 'min'],
            ['h', 'hr'],
            ['j'],
            ['w', 'wk'],
            ['mo', 'mon', 'mnt'],
            ['T', 'trim'],
            ['A', 'An'],
            ['Dec']
        ],
        parsers: {
            L: 'DD.MM.YYYY',
            LT: 'HH:mm'
        },
        ordinalSuffix: function (number) {
            return number;
        }
    },

    PagingToolbar: {
        firstPage: 'Aller à la première page',
        prevPage: 'Retour à la page précédente',
        page: 'Page',
        nextPage: 'Aller à la page suivante',
        lastPage: 'Aller à la dernière page',
        reload: 'Recharger la page',
        noRecords: 'Aucune donnée à afficher',
        pageCountTemplate: function (data) {
            return 'de ' + data.lastPage;
        },
        summaryTemplate: function (data) {
            return 'Résultats ' + data.start + ' - ' + data.end + ' de ' + data.allCount;
        }
    },

    PanelCollapser: {
        Collapse: 'Réduire',
        Expand: 'Développer'
    },

    Popup: {
        close: 'Fermer'
    },

    List: {
        loading: 'Chargement...'
    },

    //region Export

    PdfExport: {
        'Generating pages': "Génération des pages...",
        'Waiting for response from server': "En attente du serveur...",
        'Export failed': "Echec de l'export",
        'Server error': "Erreur du serveur",
        'Click to abort': "Annuler"
    },

    ExportDialog: {
        width: '40em',
        labelWidth: '12em',
        exportSettings: 'Export PDF/PNG',
        export: 'Exporter',
        exporterType: 'Pagination',
        cancel: 'Annuler',
        fileFormat: "Type d'export",
        rows: 'Lignes',
        alignRows: 'Aligner les lignes en haut',
        columns: 'Colonnes',
        paperFormat: 'Format',
        orientation: 'Orientation',
        repeatHeader: "Répéter l'en-tête"
    },

    ExportRowsCombo: {
        all: 'Toutes les lignes',
        visible: 'Lignes visibles'
    },

    ExportOrientationCombo: {
        portrait: 'Portrait',
        landscape: 'Paysage'
    },

    EventCopyPaste: {
        copyEvent: 'Copier la tâche',
        cutEvent: 'Couper la tâche',
        pasteEvent: 'Coller la tâche'
    },

    SinglePageExporter: {
        singlepage: 'Page unique'
    },

    MultiPageExporter: {
        multipage: 'Multi-pages',
        exportingPage: function (data) {
            return 'Exporter la page ' + data.currentPage + '/' + data.totalPages;
        }
    },

    MultiPageVerticalExporter: {
        multipagevertical: 'Multi-pages (vertical)',
        exportingPage: function (data) {
            return 'Exporter la page ' + data.currentPage + '/' + data.totalPages;
        }
    },

    //endregion

    //endregion

    //region Scheduler

    ResourceInfoColumn: {
        eventCountText: function (data) {
            return data + ' Événement' + (data !== 1 ? 'de' : '');
        }
    },

    Dependencies: {
        from: 'De',
        to: 'À',
        valid: 'Valide',
        invalid: 'Invalide'
    },

    DependencyType: {
        SS: 'DD',
        SF: 'DF',
        FS: 'FD',
        FF: 'FF',
        StartToStart: 'Début à début',
        StartToEnd: 'Début à fin',
        EndToStart: 'Fin à début',
        EndToEnd: 'Fin à fin',
        short: [
            'DD',
            'DF',
            'FD',
            'FF'
        ],
        long: [
            'Début à début',
            'Début à fin',
            'Fin à début',
            'Fin à fin'
        ]
    },

    DependencyEdit: {
        From: 'De',
        To: 'À',
        Type: 'Type',
        Lag: 'Retarder',
        'Edit dependency': 'Modifier la dépendance',
        Save: 'Sauvegarder',
        Delete: 'Supprimer',
        Cancel: 'Annuler',
        StartToStart: 'Début à début',
        StartToEnd: 'Début à fin',
        EndToStart: 'Fin à début',
        EndToEnd: 'Fin à fin'
    },

    EventEdit: {
        Name: 'Nom',
        Resource: 'Ressource',
        Start: 'Début',
        End: 'Fin',
        Save: 'Sauvegarder',
        Delete: 'Supprimer',
        Cancel: 'Annuler',
        'Edit event': "Modifier l'évènement",
        Repeat: 'Répéter'
    },

    EventDrag: {
        eventOverlapsExisting: 'Événement chevauchant un événement existant pour cette ressource',
        noDropOutsideTimeline: "L'événement peut ne pas être entièrement supprimé en dehors de la ligne de temps"
    },

    SchedulerBase: {
        'Add event': 'Ajouter un évènement',
        'Delete event': 'Supprimer un évènement',
        'Unassign event': 'Désassigner un évènement'
    },

    TimeAxisHeaderMenu: {
        pickZoomLevel: 'Zoom',
        activeDateRange: 'Plage de date',
        startText: 'Début',
        endText: 'Fin',
        todayText: "Aujourd'hui"
    },

    EventFilter: {
        filterEvents: 'Filtrer les tâches',
        byName: 'Par nom'
    },

    TimeRanges: {
        showCurrentTimeLine: 'Afficher la ligne du temps actuelle'
    },

    PresetManager: {
        minuteAndHour: {
            topDateFormat: 'ddd DD.MM, HH:mm'
        },
        hourAndDay: {
            topDateFormat: 'ddd DD.MM'
        },
        weekAndDay: {
            displayDateFormat: 'HH:mm'
        }
    },

    RecurrenceConfirmationPopup: {
        'delete-title': "Suppression d'un évènement répétitif",
        'delete-all-message': 'Souhaitez-vous supprimer toutes les occurrences de cet événement ?',
        'delete-further-message': "Souhaitez-vous supprimer cette occurrence et toutes les occurrences futures de cet événement ou seulement l'occurrence sélectionnée ?",
        'delete-further-btn-text': 'Supprimer tous les événements futurs',
        'delete-only-this-btn-text': 'Supprimer seulement cet évènement',
        'update-title': "Modification d'un événement répétitif",
        'update-all-message': 'Souhaitez-vous modifier toutes les occurrences de cet événement ?',
        'update-further-message': "Souhaitez-vous modifier cette occurrence et toutes les occurrences futures de cet événement ou seulement l'occurrence sélectionnée ?",
        'update-further-btn-text': 'Modifier tous les événements futurs',
        'update-only-this-btn-text': 'Modifier seulement cet évènement',
        Yes: 'Oui',
        Cancel: 'Annuler',
        width: 600
    },

    RecurrenceLegend: {
        // list delimiters
        ' and ': ' et ',
        // frequency patterns
        Daily: 'Journalier',
        'Weekly on {1}': function (data) {
            return 'Hebdomadaire le ' + data.days;
        },
        'Monthly on {1}': function (data) {
            return 'Mensuel le ' + data.days;
        },
        'Yearly on {1} of {2}': function (data) {
            return 'Annuel le ' + data.days + ' de ' + data.months;
        },
        'Every {0} days': function (data) {
            return 'Tous les ' + data.interval + ' jours';
        },
        'Every {0} weeks on {1}': function (data) {
            return 'Toutes les ' + data.interval + ' semaines le ' + data.days;
        },
        'Every {0} months on {1}': function (data) {
            return 'Tous les ' + data.interval + ' mois le ' + data.days;
        },
        'Every {0} years on {1} of {2}': function (data) {
            return 'Tous les ' + data.interval + ' ans le ' + data.days + ' de ' + data.months;
        },
        // day position translations
        position1: 'premier',
        position2: 'second',
        position3: 'troisième',
        position4: 'quatrième',
        position5: 'cinquième',
        'position-1': 'dernier',
        // day options
        day: 'Jour',
        weekday: 'Jour de la semaine',
        'weekend day': 'Jour du week-end',
        daysFormat: function (data) {
            return data.position + ' ' + data.days;
        }
    },

    RecurrenceEditor: {
        'Repeat event': "Répéter l'évènement",
        Cancel: 'Annuler',
        Save: 'Sauvegarder',
        Frequency: 'Fréquence',
        Every: 'Chacun(e)',
        DAILYintervalUnit: 'Jour',
        WEEKLYintervalUnit: 'Semaine',
        MONTHLYintervalUnit: 'Mois',
        YEARLYintervalUnit: 'Année',
        Each: 'Chaque',
        'On the': 'Le',
        'End repeat': 'Fin',
        'time(s)': 'Temps'
    },

    RecurrenceDaysCombo: {
        day: 'Jour',
        weekday: 'Jour de la semaine',
        'weekend day': 'Jour du week-end'
    },

    RecurrencePositionsCombo: {
        position1: 'premier',
        position2: 'second',
        position3: 'troisième',
        position4: 'quatrième',
        position5: 'cinquième',
        'position-1': 'dernier'
    },

    RecurrenceStopConditionCombo: {
        Never: 'Jamais',
        After: 'Après',
        'On date': 'Le jour'
    },

    RecurrenceFrequencyCombo: {
        Daily: 'journalier',
        Weekly: 'hebdomadère',
        Monthly: 'mensuel',
        Yearly: 'annuel'
    },

    RecurrenceCombo: {
        None: 'Jamais',
        Custom: "Défini par l'utilisateur..."
    },

    //region Features

    Summary: {
        'Summary for': function (date) {
            return 'Résumé pour ' + date;
        }
    },

    //endregion

    //region Export

    ScheduleRangeCombo: {
        completeview: 'Calendrier complet',
        currentview: 'Période visible',
        daterange: 'Période à sélectionner',
        completedata: 'Période complète (pour tous les événements)'
    },

    SchedulerExportDialog: {
        'Schedule range': 'Période',
        'Export from': 'Du',
        'Export to': 'Au'
    },

    ExcelExporter: {
        'No resource assigned': 'Aucune ressource'
    },

    //endregion

    //region Examples

    Column: {
        columnLabel: column => `${column.text ? `Colonne ${column.text}. ` : ''}ESPACE pour le menu contextuel${column.sortable ? ', ENTRÉE pour trier' : ''}`,
        cellLabel: new String(),
        Name: 'Nom',
        Color: 'Couleur',
        Team: 'Equipe',
        Score: 'Score',
        Rank: 'Rang',
        Percent: 'Pourcentage',
        Start: 'Début',
        Finish: 'Fin',
        Template: 'Modèle (template)',
        Date: 'Date',
        Check: 'Vérification',
        Contact: 'Contact',
        Favorites: 'Favoris',
        When: 'Quand',
        Brand: 'Marque',
        Model: 'Modèle',
        Satisfaction: 'Satisfaction',
        Rating: 'Classement',
        Type: 'Type',
        Capacity: 'Capacité',
        Company: 'Société',
        End: 'Fin'
    },

    //endregion

    CrudManagerView: {
        serverResponseLabel: 'Réponse du serveur :'
    },

    DurationColumn: {
        Duration: 'Durée'
    }
};
